Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686860 - [RFE] : Request to add additional information at installation section of hammer tool on standalone servers
Summary: [RFE] : Request to add additional information at installation section of hamm...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.4.2
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Vlada Grosu
QA Contact: Sergei Petrosian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 14:29 UTC by Sayan Das
Modified: 2019-03-12 11:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-12 11:15:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sayan Das 2019-03-08 14:29:37 UTC
Document URL: 

- https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/hammer_cli_guide/#sect-CLI_Guide-Standalone_Use_of_Hammer 

- https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-single/hammer_cli_guide/index#sect-CLI_Guide-Standalone_Use_of_Hammer 

- https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html-single/hammer_cli_guide/#sect-CLI_Guide-Standalone_Use_of_Hammer 

- https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5-beta/html-single/hammer_cli_guide/?lb_target=stage#sect-CLI_Guide-Standalone_Use_of_Hammer 


Section Number and Name: 

Section  :  1.3
Name     : Standalone Use of Hammer


Describe the issue: 

It's specifically mentioned that -

"The rhel-7-server-satellite-6.X-rpms repository is required to install the package"

But if someone wants to install hammer on a client host , then they won't be able to enable the above-said repository as it's a part of "Red Hat Satellite" Product but clients won't have the related subscription attached generally.

The subscriptions which client systems would have attached will give them the base product "Red Hat Enterprise Server". 


Suggestions for improvement: 


The workaround of this issue is to enable this repository - "rhel-7-server-satellite-tools-6.X-rpms".

Actual Steps to install hammer cli on a client system would be :

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Make sure to have below repositories synced on satellite server and enable these repositories on the client host.

=> rhel-7-server-satellite-tools-6.X-rpms
=> rhel-server-7-rpms
=> rhel-server-rhscl-7-rpms


To install "hammer cli" on a host, please execute the command as mentioned below.

=> yum install tfm-rubygem-hammer_cli_katello -y


Make the required changes in the hammer configuration file /etc/hammer/cli.modules.d/foreman.yml
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Additional information: 

NA

Comment 2 Vlada Grosu 2019-03-08 14:50:16 UTC
Thank you for opening this ticket, Sayan.

Comment 21 Vlada Grosu 2019-03-11 17:53:58 UTC
These changes are now live on the Customer Portal:

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html-single/hammer_cli_guide/#sect-CLI_Guide-Standalone_Use_of_Hammer


Thank you

Comment 25 Vlada Grosu 2019-03-12 11:13:45 UTC
The changes are now available for the 6.3 version of the Hammer CLI Guide:
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html-single/hammer_cli_guide/?lb_target=production#sect-CLI_Guide-Standalone_Use_of_Hammer


Note You need to log in before you can comment on or make changes to this bug.